### Method

# Gdk.Clipboard.read_text_finish

#### Declaration [src]

    char*
    gdk_clipboard_read_text_finish (
      GdkClipboard* clipboard,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous clipboard read.

See `gdk_clipboard_read_text_async()`.

#### Parameters

`result` | `GAsyncResult*`
| a `GAsyncResult`
| Ownership is not transferred to the callee

#### Return value

Returns: `char*`
a new string or `NULL` on error
Ownership of the data is transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string